Subject: Selecting the ppc_md.power_save method at boot time

From: Arnd Bergmann <[email-masked]>
Date: Fri, 20 Oct 2006 18:40:13 +0200

Anthony was asking me to add support for disabling the cbe_idle
function for cell at boot time, in order to make it easier to
use some debugging tools.

I already intend to move the cbe_idle implementation over to
a simpler power_save method, so these two changes could be
combined by making the power_save function selectable at
boot time.

I could imagine two ways to implement this:

1. Add a boot option to simply disable calling ppc_md->power_save
on all platforms. E.g. powersave=off.

2. Make it possible to have multiple implementations, e.g.
powersave=cbe, powersave=nap, powersave=cede, powersave=off,
powersave=power4, with a per-platform default.

Is anyone interested in the second solution? Otherwise I'd post
a simple patch to just do powersave=off.

	Arnd <><